> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nordiska.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload onboarding documents

> Upload one or more onboarding documents in a single request



## OpenAPI

````yaml https://partner-card.test.public.rockerapi.dev/docs/docs.yaml post /api/v2/engagements/card/onboarding/{onboarding-id}/documents
openapi: 3.1.0
info:
  title: Card
  version: '1.0'
servers:
  - url: https://partner-card.test.public.rockerapi.dev
security: []
paths:
  /api/v2/engagements/card/onboarding/{onboarding-id}/documents:
    post:
      tags:
        - Card
      summary: Upload onboarding documents
      description: Upload one or more onboarding documents in a single request
      operationId: UploadDocumentsV2
      parameters:
        - name: onboarding-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/HttpDocumentUploadRequestV2'
        required: true
      responses:
        '200':
          description: ''
        '400':
          description: >-
            Invalid value for: path parameter onboarding-id, Invalid value for:
            body
          content:
            text/plain:
              schema:
                type: string
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorBodyResponse'
      security:
        - httpAuth: []
components:
  schemas:
    HttpDocumentUploadRequestV2:
      title: HttpDocumentUploadRequestV2
      type: object
      required:
        - documents
      properties:
        documents:
          description: >-
            Up to 5 documents per request, each <=10MB, <=50MB combined.
            Content-Type: application/pdf or image/*
          type: array
          minItems: 1
          items:
            type: string
            format: binary
    HttpErrorBodyResponse:
      title: HttpErrorBodyResponse
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    httpAuth:
      type: http
      scheme: basic

````